=== debian/changelog ===
ros-kinetic-smacha-ros (0.5.0-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Barry Ridge <barry.ridge@ijs.si>  Thu, 18 Jul 2019 14:49:09 -0000
